Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## generating
Class JobsGenerator

    java.lang.Object
      generating.JobsGenerator

All Implemented Interfaces:
  java.lang.Runnable

    public class JobsGenerator

extends java.lang.Object
implements java.lang.Runnable

Author:
  Majd Kokaly

Constructor Summary
`JobsGenerator(JobClass jobClass, Mapper mapper)` The main constructor

Method Summary
`double` | `getActualAverage()`
`double` | `getActualRate()`
`double` | `getAcutualIterationAverage()`
`ArrivalGenerator` | `getArrivalGenerator()`
`int` | `getJobsGeneratedNumber()`
`Logger` | `getLogger()`
`Mapper` | `getMapper()`
`long` | `getSumOfIteration()`
`boolean` | `isAlive()`
`void` | `run()` The run method of the thread This thread generates a job then sleeps and then wake up to generate a job and then sleep again ....
`void` | `setAlive(boolean alive)`
`void` | `setArrivalGenerator(ArrivalGenerator arrivalGenerator)`
`void` | `setLogger(Logger logger)`
`void` | `setMapper(Mapper mapper)`
`void` | `setSumOfIteration(long sumOfIteration)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobsGenerator

    public JobsGenerator(JobClass jobClass,
                         Mapper mapper)

  The main constructor

  Parameters:
    `jobClass` - is the job class that this generator is responsible for generating.

Method Detail

### getMapper

    public Mapper getMapper()

### setMapper

    public void setMapper(Mapper mapper)

### getArrivalGenerator

    public ArrivalGenerator getArrivalGenerator()

### setArrivalGenerator

    public void setArrivalGenerator(ArrivalGenerator arrivalGenerator)

### isAlive

    public boolean isAlive()

### setAlive

    public void setAlive(boolean alive)

### getActualRate

    public double getActualRate()

### getActualAverage

    public double getActualAverage()

### getAcutualIterationAverage

    public double getAcutualIterationAverage()

### getSumOfIteration

    public long getSumOfIteration()

### setSumOfIteration

    public void setSumOfIteration(long sumOfIteration)

### getLogger

    public Logger getLogger()

### setLogger

    public void setLogger(Logger logger)

### getJobsGeneratedNumber

    public int getJobsGeneratedNumber()

### run

    public void run()

  The run method of the thread This thread generates a job then sleeps and then wake up to generate a job and then sleep again ....

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD